#include<bits/stdc++.h>
#define Lyr_ids trash
#define ccf our_red_sun
using namespace std;
typedef long long ll;
namespace IO
{
	char buf[1<<20],*iS,*iT;
	#define gh() (iS==iT?iT=(iS=buf)+fread(buf,1,1<<20,stdin),(iS==iT?EOF:*iS++):*iS++)
	template<typename T>
	inline void read(T &x)
	{
		x=0;
		char c=gh();
		bool sgn=0;
		while(!isdigit(c))
			sgn|=c=='-',c=gh();
		while(isdigit(c))
			x=x*10+(c^48),c=gh();
		x=sgn?-x:x;
	}
}
using namespace IO;
int main()
{
	fropen("mach.in",'r',stdin);
	fropen("math.out",w,stdout);
	//AFOed. qwq
	return 0;
}

